package com.yanzhu.jh.project.service;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProjectSchedule;

/**
 * 形象进度Service接口
 * 
 * @author Jiangdu
 * @date 2023-07-29
 */
public interface ISurProjectScheduleService 
{
    /**
     * 查询形象进度
     * 
     * @param Id 形象进度主键
     * @return 形象进度
     */
    public SurProjectSchedule selectSurProjectScheduleById(Long id);

    /**
     * 查询形象进度列表
     * 
     * @param surProjectSchedule 形象进度
     * @return 形象进度集合
     */
    public List<SurProjectSchedule> selectSurProjectScheduleList(SurProjectSchedule surProjectSchedule);

    public SurProjectSchedule getProjectConstructionProgress(Long projectId);
    /**
     * 新增形象进度
     * 
     * @param surProjectSchedule 形象进度
     * @return 结果
     */
    public int insertSurProjectSchedule(SurProjectSchedule surProjectSchedule);

    /**
     * 修改形象进度
     * 
     * @param surProjectSchedule 形象进度
     * @return 结果
     */
    public int updateSurProjectSchedule(SurProjectSchedule surProjectSchedule);

    /**
     * 批量删除形象进度
     * 
     * @param ids 需要删除的形象进度主键集合
     * @return 结果
     */
    public int deleteSurProjectScheduleByIds(Long[] ids);

    /**
     * 删除形象进度信息
     * 
     * @param id 形象进度主键
     * @return 结果
     */
    public int deleteSurProjectScheduleById(Long id);

    /**
     * 按项目类型查询形象进度数据
     * @param type
     * @return
     */
    public List<SurProjectSchedule> selectByProjectType(Long type);
}
